Create Account

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/account
API call form
Examples
List of examples
  • Create a plugin connection
  • Athena connection creation.
  • BigQuery connection creation.
  • Clickhouse connection creation.
  • Databricks connection creation.
  • ElasticSearch connection creation.
  • MariaDB connection creation.
  • MongoDB connection creation.
  • MySQL connection creation.
  • Oracle connection creation.
  • PostgreSQL connection creation.
  • Presto connection creation.
  • Redshift connection creation.
  • SAP Hana connection creation.
  • Snowflake connection creation with key-pair authentication.
  • Snowflake connection creation with username-password authentication.
  • SQL Server connection creation.
  • Azure Synapse connection creation.
  • Trino connection creation.
Description

This will create a connection to a SAP Hana database. You'll need to provide a host, key and token:

    • host: this is the 'SQL endpoint' of your SAP HANA instance.

      • Make sure the SQL endpoint ends with a port number: '

        '. If using the SAP HANA public cloud, you can copy the SQL endpoint on the Instance management page in SAP HANA Cloud Central > Copy SQL Endpoint. sql-endpoint

  • key: the username of the SAP HANA user. We advise to create a separate read-only technical user for connecting Luzmo to your SAP HANA databases.

  • token: the password of the SAP HANA user

Notes:

  • Your SAP HANA instance must allow connections from Luzmo to be able to visualize SAP HANA data in dashboards. You can do this by whitelisting Luzmo's pool of proxy IP addresses as described here.

    • If using the SAP HANA public cloud, you'll find the IP whitelisting settings on the Instance management page in SAP HANA Cloud Central > Edit > Connections > Allowed connections > Allow only specific IP addresses and IP ranges.

Install
npm install @luzmo/nodejs-sdk